commit:     4c741cf58c3421c92c8b4ddc0c3c341885d1e94d
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Sat Sep  3 09:10:23 2016 +0000
Commit:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Sat Sep  3 09:10:36 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4c741cf5

dev-python/numba: Bump

Package-Manager: portage-2.3.0

 dev-python/numba/Manifest            |  1 +
 dev-python/numba/numba-0.27.0.ebuild | 66 ++++++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/dev-python/numba/Manifest b/dev-python/numba/Manifest
index 8ee4b05..05eccfd 100644
--- a/dev-python/numba/Manifest
+++ b/dev-python/numba/Manifest
@@ -6,3 +6,4 @@ DIST numba-0.23.1.tar.gz 1284771 SHA256 
54359b8ef700a70f0d7a9b9aecb2c58867fd2347
 DIST numba-0.24.0.tar.gz 1134646 SHA256 
623fa32a9e0018dcbffb3e5ab29c87a12252e67eb1325be69abac9faaff2f8ed SHA512 
ffad0fa1a92479aa7d41cbbfdace5bb8c2be49b99cf7da3ccacbc972b910e945bb763aaf1a1704c2af28c57d9384530c7303571653ff964d7470cb48704062bc
 WHIRLPOOL 
b280105aa8ccd74e689f7d1a837bd4e7833400fdb1f469810b8c01db37ada725698534cdf95aad34a5f85d1bd8b206c83fd02be1100924889487813269721ba9
 DIST numba-0.25.0.tar.gz 1180078 SHA256 
a5e6c4d3a1b7c99b69c41d2af2894e631dff9809cc6c3c851f956920608c8602 SHA512 
c9b2f9cb93b63fc8bfc0f5964be22d6da5df80d27f1f3df690cfc293f6c51e483053dbd9bcc38938be690b66ef14eea969fdf84120e4cebc108d58b8344e67c5
 WHIRLPOOL 
ea28a872cf6ac03178058a463cdc1f44470578b673c08612e7cdca4951f6dc38c94c11743d1761bba8c4edf577f37a86b3dc208f0bfdcc600bbe517cff5c9e90
 DIST numba-0.26.0.tar.gz 1219317 SHA256 
56abeadd00e2867d1cbb360131e28d9d45f0ca3d0270cbf1be357e864d756642 SHA512 
9cb05cf5a059ac79bba5cac0fd49d7356d0733500bf23b17ad86fa14ed5f7758e97e5f6d32e34d89d48328179924668e370c0380c602f57a1ddcbbbc8dfa4403
 WHIRLPOOL 
73b609bc0bd6c000e93ef37e842846a4174aa34ad34f7ef72c0c7b524a3731b6eaa13be9ef83f581853feebfe0ee219d13cd386b064fa4ede824410f0a82eb5c
+DIST numba-0.27.0.tar.gz 1247144 SHA256 
aa75fc2ac7d958d4ac84ad55b279dd95ee5e6ffd247fdcf04800f167731184ca SHA512 
3c84fa58bc5e84683b5e593b99f8c48cfc6e9fd0f41a2a18d8a4d9deba618cec1e764a0202bb71166cbeebf27b908044be29e3b183b01f31edc8e85c962df876
 WHIRLPOOL 
178ec9ddaf5d2a9594eb808350d5e96a8b78ef643595aa6d02d581a7cfb7c86ae4902fccade874244a286957a9d9f4708c89d48d2c914a3528b9abae9db181b2

diff --git a/dev-python/numba/numba-0.27.0.ebuild 
b/dev-python/numba/numba-0.27.0.ebuild
new file mode 100644
index 00000000..4082bbf
--- /dev/null
+++ b/dev-python/numba/numba-0.27.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
+
+inherit distutils-r1
+
+DESCRIPTION="NumPy aware dynamic Python compiler using LLVM"
+HOMEPAGE="http://numba.pydata.org/";
+SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples test"
+
+RDEPEND="
+       >=dev-python/llvmlite-0.10[${PYTHON_USEDEP}]
+       >=dev-python/numpy-1.6[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep 'dev-python/enum34[${PYTHON_USEDEP}]' 
python{2_7,3_3})
+       virtual/python-funcsigs[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       test? ( virtual/python-singledispatch[${PYTHON_USEDEP}] )
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+
+# Delete intersphinx & entry to set sphinxjp.themecore, which is absent from 
portage, from conf.py
+PATCHES=( "${FILESDIR}"/${PN}-0.19.2-docbuild.patch )
+
+python_prepare_all() {
+       # Re-set them of doc build to one provided by sphinx
+       if has_version ">=dev-python/sphinx-1.3.1"; then
+               sed -e 's:basicstrap:classic:' -i docs/source/conf.py || die
+       else
+               sed -e 's:basicstrap:default:' -i docs/source/conf.py || die
+       fi
+       distutils-r1_python_prepare_all
+}
+
+python_compile() {
+       if ! python_is_python3; then
+               local CFLAGS="${CFLAGS} -fno-strict-aliasing"
+               export CFLAGS
+       fi
+       distutils-r1_python_compile
+}
+
+python_compile_all() {
+       use doc && emake -C docs/ html
+}
+
+python_test() {
+       cd "${BUILD_DIR}"/lib* || die
+       ${PYTHON} -c "import numba; numba.test()" || die
+}
+
+python_install_all() {
+       # doc needs obsolete sphinxjp package
+#      use doc && dodoc docs/Numba.pdf
+       use examples && local EXAMPLES=( examples/. )
+       use doc && local HTML_DOCS=( docs/_build/html/. )
+
+       distutils-r1_python_install_all
+}

Reply via email to